## cascading.operation.filter
Class FilterNull

    java.lang.Object
      cascading.operation.BaseOperation
          cascading.operation.filter.FilterNull

All Implemented Interfaces:
  Filter, Operation, Serializable

    public class FilterNull

extends BaseOperation
implements Filter

Class FilterNull verifies that every value in the argument values `Tuple` is not a null value. If a null value is encountered, the current Tuple will be filtered out.

See Also:
  `FilterNotNull`, Serialized Form

Field Summary

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`FilterNull()`

Method Summary
`boolean` `isRemove(FlowProcess flowProcess, FilterCall filterCall)` Method isRemove returns true if input should be removed from the tuple stream.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, equals, getFieldDeclaration, getNumArgs, getTrace, hashCode, isSafe, prepare, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### FilterNull

    public FilterNull()

Method Detail

### isRemove

    public boolean isRemove(FlowProcess flowProcess,
                            FilterCall filterCall)

  Description copied from interface: `Filter`
  Method isRemove returns true if input should be removed from the tuple stream.

  Specified by:
    `isRemove` in interface `Filter`
  Parameters:
    `flowProcess` - of type FlowProcess
    `filterCall` - of type FilterCall
  Returns:
    boolean

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.